package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.entity.BelowGradeNotice;
import com.nantian.sc.cloud.common.core.util.R;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface BelowGradeNoticeService extends IService<BelowGradeNotice> {

    //查询不合格通知书管理信息
    IPage<BelowGradeNotice> getManageInfo(Page page, BelowGradeNotice belowGradeNotice);

    //查询不合格通知书详细信息
    IPage<BelowGradeNotice> getDetailInfo(Page page, BelowGradeNotice belowGradeNotice);

    //批量上传不合格通知书
    R batchUpload(MultipartFile multipartFile, Integer pid, String status, String content) throws Exception;

    //更新不合格通知书管理信息
    R renewManage(BelowGradeNotice belowGradeNotice);

    //更新不合格通知书信息
    R renewDetail(MultipartFile multipartFile, BelowGradeNotice belowGradeNotice) throws Exception;


    List<BelowGradeNotice> getBelowGradeNoticeList(String topic);

}
